Developers
Read the current Subscription
GET
The caller’s current Subscription, or null when they have none.
header
AuthorizationBearer <token>An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.
Success.
application/json- response
subscription*|nullcurl -X GET 'https://ximagesplitter.com/api/v1/billing/subscription'Example response
{
"subscription": {
"subscriptionNo": "string",
"providerCode": "string",
"planId": "starter",
"billingCycle": "monthly",
"providerStatus": "string",
"lifecycleStatus": "active",
"willRenew": true,
"nextRenewalAt": "2019-08-24T14:15:22Z",
"scheduledEndAt": "2019-08-24T14:15:22Z",
"pendingPlanChange": {
"planId": "starter",
"billingCycle": "monthly",
"effectiveAt": "2019-08-24T14:15:22Z"
},
"currency": "string",
"currentPeriodEnd": "2019-08-24T14:15:22Z",
"billingPortalAvailable": true
}
}